<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht\ShowFilterKursUebersicht;

class ShowFilterKursUebersichtUseCase extends \Kufer\Web\KuferTools\Basis\KursUebersicht\ShowFilterKursUebersicht\ShowFilterKursUebersichtUseCase
{
  public static function getToolId()
  {
    return 61;
  }

  public static function getToolSectionId()
  {
    return 721;
  }

  protected function getKursNummern()
  {
    $kurshelper = new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\TeilnehmerKurse($this->toolSettings, $this->getUser());

    return $kurshelper->getIdsOhneFilter();
  }
}